{{getMsg('Help_YouAreHere')}}:
/
{{page.title}}
{{page.title}}
{{$root.getMsg("downLoadHelpAsPdf")}}
{{helpModel.downloadHelpPdfDataStatus}}
Events
/api/calendar/{calendarId}/events/{eventId}/deleteThisAndFuture
Exposes stored calendar events and stages event changes until commit.
DELETE /api/calendar/{calendarId}/events/{eventId}/deleteThisAndFuture
Deletes an occurrence and all following occurrences by truncating the series before its previous start.
Parameters
| Name | Location | Type | Required | Description |
|---|---|---|---|---|
calendarId |
path | string |
yes | — |
eventId |
path | string |
yes | current internal event identifier |
occurrenceStart |
query | number (int64) |
yes | first excluded occurrence start as Unix epoch milliseconds |
Response
| Status | Content Type | Schema | Description |
|---|---|---|---|
204 |
— | — | No content. |
Example Request
# Request DELETE /api/calendar/<calendarId>/events/<eventId>/deleteThisAndFuture?occurrenceStart=0 HTTP/1.1 Accept: application/json Authorization: Bearer <access-token> # Response HTTP/1.1 204 No Content
Common Error Responses
The status codes 400, 403, 404, 405, 406, 409, 413, 415, and 500 use the same ApiError JSON error format:
{
"status": 404,
"code": "route_not_found",
"message": "The requested API route does not exist.",
"details": []
}
Schemas
Request and response schemas used on this page.
ApiError
| Property | Type | Required | Description |
|---|---|---|---|
status |
integer (int32) |
yes | — |
code |
string |
yes | — |
message |
string |
yes | — |
details |
array<object> |
no | — |